DynamicJava Javadoc: Class CastExpression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class CastExpression

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.UnaryExpression
                        |
                        +--koala.dynamicjava.tree.CastExpression

All Implemented Interfaces:
  ExpressionContainer

public class CastExpression
extends UnaryExpression

This class represents the cast expression nodes of the syntax tree

Field Summary
`static java.lang.String` | `TARGET_TYPE` The targetType property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Fields inherited from interface koala.dynamicjava.tree.ExpressionContainer
`EXPRESSION`

Constructor Summary
`CastExpression(Type tt, Expression exp)` Initializes the expression
`CastExpression(Type tt, Expression exp, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Type` | `getTargetType()` Returns the target type
`void` | `setTargetType(Type t)` Sets the target type

Methods inherited from class koala.dynamicjava.tree.UnaryExpression
`getExpression, setExpression`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGET_TYPE

    public static final java.lang.String TARGET_TYPE

  The targetType property name

Constructor Detail

### CastExpression

    public CastExpression(Type tt,
                          Expression exp)

  Initializes the expression
  Parameters:
    `tt` - the target type
    `exp` - the casted expression
  Throws:
    `java.lang.IllegalArgumentException` - if tt is null or exp is null

### CastExpression

    public CastExpression(Type tt,
                          Expression exp,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Initializes the expression
  Parameters:
    `tt` - the target type
    `exp` - the casted expression
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if tt is null or exp is null

Method Detail

### getTargetType

    public Type getTargetType()

  Returns the target type

### setTargetType

    public void setTargetType(Type t)

  Sets the target type
  Throws:
    `java.lang.IllegalArgumentException` - if t is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.